#ifndef libSTDIO_H
#define libSTDIO_H
#include <stdio.h>

#undef putchar
#define putchar(x) __sys_writec(x)
#undef getchar
#define getchar() get_char()

#define CDC		0
#define UART  	1
#define BRIDGE	2

//Private
extern int __sys_readc(void);
extern void __sys_writec(char data);
extern char get_char(void);

//Public
extern void Comport_Init(char device,int baudrate);

#endif // libSTDIO_H 